> ## Documentation Index
> Fetch the complete documentation index at: https://www.activepieces.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User

> Update user



## OpenAPI

````yaml POST /v1/users/{id}
openapi: 3.1.0
info:
  title: Activepieces Documentation
  version: 0.0.0
servers:
  - url: https://cloud.activepieces.com/api
    description: Production Server
security: []
externalDocs:
  url: https://www.activepieces.com/docs
  description: Find more info here
paths:
  /v1/users/{id}:
    post:
      tags:
        - users
      description: Update user
      parameters:
        - schema:
            type: string
            pattern: ^[0-9a-zA-Z]{21}$
          in: path
          name: id
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                status:
                  type: string
                  enum:
                    - ACTIVE
                    - INACTIVE
                platformRole:
                  type: string
                  enum:
                    - ADMIN
                    - MEMBER
                    - OPERATOR
                externalId:
                  type: string
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/user'
      security:
        - apiKey: []
components:
  schemas:
    user:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/user'
      type: object
      properties:
        id:
          type: string
        email:
          type: string
        firstName:
          type: string
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
        externalId:
          anyOf:
            - type: string
            - type: 'null'
        platformId:
          anyOf:
            - type: string
            - type: 'null'
        platformRole:
          type: string
          enum:
            - ADMIN
            - MEMBER
            - OPERATOR
        lastName:
          type: string
        created:
          type: string
        updated:
          type: string
        lastActiveDate:
          anyOf:
            - type: string
            - type: 'null'
        imageUrl:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - id
        - email
        - firstName
        - status
        - platformRole
        - lastName
        - created
        - updated
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````